# IUNDirectedGraph | data-structure-typed
Documentation for data-structure-typed

# Interface IUNDirectedGraph<V, E>

#### Type Parameters

- #### V

- #### E

#### Hierarchy

- IAbstractGraph <V, E>
  - IUNDirectedGraph

#### Implemented by

- UndirectedGraph

- Defined in src/interfaces/undirected-graph.ts:4

#####
Index

### Methods

addEdge
addVertex
degreeOf
edgeSet
edgesOf
getEdge
getMinPathBetween
getNeighbors
hasEdge
hasVertex
removeAllVertices
removeEdge
removeEdgeBetween
removeVertex
setEdgeWeight

## Methods

### addEdge

- addEdge(src, dest, weight, val): boolean

- #### Parameters

  - ##### src: VertexId | V

  - ##### dest: VertexId | V

  - ##### weight: number

  - ##### val: E

  #### Returns boolean

  Inherited from IAbstractGraph.addEdge

  - Defined in src/interfaces/abstract-graph.ts:22

### addVertex

- addVertex(id, val?): boolean

- #### Parameters

  - ##### id: VertexId

  - ##### `Optional` val: V

  #### Returns boolean

  Inherited from IAbstractGraph.addVertex

  - Defined in src/interfaces/abstract-graph.ts:6

### degreeOf

- degreeOf(vertexOrId): number

- #### Parameters

  - ##### vertexOrId: VertexId | V

  #### Returns number

  Inherited from IAbstractGraph.degreeOf

  - Defined in src/interfaces/abstract-graph.ts:12

### edgeSet

- edgeSet(): E[]

- #### Returns E[]

  Inherited from IAbstractGraph.edgeSet

  - Defined in src/interfaces/abstract-graph.ts:20

### edgesOf

- edgesOf(vertexOrId): E[]

- #### Parameters

  - ##### vertexOrId: VertexId | V

  #### Returns E[]

  Inherited from IAbstractGraph.edgesOf

  - Defined in src/interfaces/abstract-graph.ts:14

### getEdge

- getEdge(srcOrId, destOrId): null | E

- #### Parameters

  - ##### srcOrId: VertexId | V

  - ##### destOrId: VertexId | V

  #### Returns null | E

  Inherited from IAbstractGraph.getEdge

  - Defined in src/interfaces/abstract-graph.ts:18

### getMinPathBetween

- getMinPathBetween(v1, v2, isWeight?): null | V[]

- #### Parameters

  - ##### v1: VertexId | V

  - ##### v2: VertexId | V

  - ##### `Optional` isWeight: boolean

  #### Returns null | V[]

  Inherited from IAbstractGraph.getMinPathBetween

  - Defined in src/interfaces/abstract-graph.ts:28

### getNeighbors

- getNeighbors(vertexOrId): V[]

- #### Parameters

  - ##### vertexOrId: VertexId | V

  #### Returns V[]

  Inherited from IAbstractGraph.getNeighbors

  - Defined in src/interfaces/abstract-graph.ts:30

### hasEdge

- hasEdge(src, dest): boolean

- #### Parameters

  - ##### src: VertexId | V

  - ##### dest: VertexId | V

  #### Returns boolean

  Inherited from IAbstractGraph.hasEdge

  - Defined in src/interfaces/abstract-graph.ts:16

### hasVertex

- hasVertex(vertexOrId): boolean

- #### Parameters

  - ##### vertexOrId: VertexId | V

  #### Returns boolean

  Inherited from IAbstractGraph.hasVertex

  - Defined in src/interfaces/abstract-graph.ts:4

### removeAllVertices

- removeAllVertices(vertices): boolean

- #### Parameters

  - ##### vertices: VertexId [] | V[]

  #### Returns boolean

  Inherited from IAbstractGraph.removeAllVertices

  - Defined in src/interfaces/abstract-graph.ts:10

### removeEdge

- removeEdge(edge): null | E

- #### Parameters

  - ##### edge: E

  #### Returns null | E

  Inherited from IAbstractGraph.removeEdge

  - Defined in src/interfaces/abstract-graph.ts:24

### removeEdgeBetween

- removeEdgeBetween(v1, v2): null | E

- #### Parameters

  - ##### v1: VertexId | V

  - ##### v2: VertexId | V

  #### Returns null | E

  - Defined in src/interfaces/undirected-graph.ts:5

### removeVertex

- removeVertex(vertexOrId): boolean

- #### Parameters

  - ##### vertexOrId: VertexId | V

  #### Returns boolean

  Inherited from IAbstractGraph.removeVertex

  - Defined in src/interfaces/abstract-graph.ts:8

### setEdgeWeight

- setEdgeWeight(srcOrId, destOrId, weight): boolean

- #### Parameters

  - ##### srcOrId: VertexId | V

  - ##### destOrId: VertexId | V

  - ##### weight: number

  #### Returns boolean

  Inherited from IAbstractGraph.setEdgeWeight

  - Defined in src/interfaces/abstract-graph.ts:26

Generated using TypeDoc